Subject: Re: bash 2.05a-3: option to allow drive letter prefixes for completion?
From: Randall R Schulz <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 16 Apr 2002 11:20:03 -0700

Chet,

Thanks.

This reminds me of another oddity, one I resolved serendipitously: I never 
understood why Readline was escaping at signs ('@') when they were part of 
a name it was expanding (I sometimes use them to set off time stamps 
incorporated into file names). Then one day I happened upon the 
documentation of the Cygwin feature designed to circumvent argument list 
length limitations: @argListFileName.

Randall Schulz
Mountain View, CA USA

At 11:06 2002-04-16, Chet Ramey wrote:
> > Well, it gets weirder.
> >
> > I activated the "show-all-if-ambiguous" and now when I type, say:
> >
> >          % echo c:/<TAB>
> >
> > What I get is a list of the _Cygwin root_!
> >
> > The same thing results if I use:
> >
> >          % echo d:/<TAB>
>
>Quote the colon.  Readline has a set of characters it uses as word 
>delimiters for completion, and the calling application can modify that set 
>to its tastes.  Bash includes `:' as a word break character, which makes 
>it convenient to complete colon-separated lists like $PATH. Since the 
>colon breaks words, the only thing that gets passed to the filename 
>completer is `/' and whatever follows it.  Quoting the colon (the simplest 
>thing to use is a backslash) causes readline to not consider it a word 
>break character.
>
>Chet
>
>--
>``The lyf so short, the craft so long to lerne.'' - Chaucer
>( ``Discere est Dolere'' -- chet)
>
>Chet Ramey, CWRU    [email-masked]    http://cnswww.cns.cwru.edu/~chet/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/